Generate Tax Report
POST
/api/v1/wallets/{address}/tax-reports/generate
const url = 'https://api.qeychain.xyz/api/v1/wallets/example/tax-reports/generate?tax_year=1&report_type=full&format=json&taxpayer_timezone=America%2FNew_York';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url 'https://api.qeychain.xyz/api/v1/wallets/example/tax-reports/generate?tax_year=1&report_type=full&format=json&taxpayer_timezone=America%2FNew_York'Generate tax report asynchronously for large wallets.
Returns a job_id that can be polled via GET /api/v1/jobs/{job_id}
Parameters:
report_type: Type of report (full, 8949, schedule-1, summary)format: Output format (json, csv, pdf)
Response:
job_id: Unique identifier for the jobpoll_url: URL to poll for status updates
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”address
required
Address
string
Query Parameters
Section titled “Query Parameters”tax_year
required
Tax Year
Tax year (required)
integer
Tax year (required)
report_type
Report Type
Report type: full, 8949, schedule-1, summary
string
Report type: full, 8949, schedule-1, summary
format
Format
Output format: json, csv, pdf
string
Output format: json, csv, pdf
taxpayer_timezone
Taxpayer Timezone
string
owned_wallets
Any of:
Array<string>
null
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Response Generate Tax Report Api V1 Wallets Address Tax Reports Generate Post
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}